find RFO for git.m.o OOM condition in bug 985864

RESOLVED WONTFIX

Status

Developer Services
Mercurial: hg.mozilla.org
RESOLVED WONTFIX
3 years ago
2 years ago

People

(Reporter: hwine, Assigned: hwine)

Tracking

Details

(Whiteboard: [kanban:engops:https://mozilla.kanbanize.com/ctrl_board/6/1046] )

Attachments

(5 attachments)

(Assignee)

Description

3 years ago
Use logs from https://people.mozilla.org/~hwine/mtg_notes/releng/2014/releng.2014-04-01-00.41.html and elsewhere.
(Assignee)

Comment 1

3 years ago
Prior work on similar bugs
(Assignee)

Comment 2

3 years ago
Created attachment 8400117 [details]
20140320 bz990344.png

mem, load, swap for 2014-03-20 event

Shows 2 ranges:
 - major 2014-03-20 22:50 - 2014-03-21 01:40 (UTC)
 - minor 2014-03-21 07:00 - 2014-03-21 08:30 (UTC)

Can I get the top talkers to git1 for each of those ranges, please?
Flags: needinfo?(adam)
(Assignee)

Comment 3

3 years ago
Created attachment 8400119 [details]
20140331 bz990344.png

mem, load, swap for 2014-03-31 event

Shows 2 ranges:
 - major 2014-03-20 22:50 - 2014-03-21 01:40 (UTC)
 - minor 2014-03-21 07:00 - 2014-03-21 08:30 (UTC)

Can I get the top talkers to git1 for each of those ranges, please?
Assignee: nobody → hwine
Attachment #8400117 - Attachment is obsolete: true
Status: NEW → ASSIGNED
(Assignee)

Updated

3 years ago
Attachment #8400117 - Attachment is obsolete: false
(Assignee)

Comment 4

3 years ago
Corrected dates/times -- dates/times in graphs authoritative.
(In reply to Hal Wine [:hwine] (use needinfo) from comment #3)
> Created attachment 8400119 [details]
> 20140331 bz990344.png
> 
> mem, load, swap for 2014-03-31 event
> 
> Shows 2 ranges:
>  - major 2014-03-31 22:50 - 2014-04-01 01:40 (UTC)
>  - minor 2014-04-01 07:00 - 2014-04-01 08:30 (UTC)
> 
> Can I get the top talkers to git1 for each of those ranges, please?
(Assignee)

Comment 5

3 years ago
Corrected dates/times -- dates/times in graphs authoritative.
(In reply to Hal Wine [:hwine] (use needinfo) from comment #2)
> Created attachment 8400117 [details]
> 20140320 bz990344.png
> 
> mem, load, swap for 2014-03-20 event
> 
> Shows 2 ranges:
>  - major 2014-03-20 07:00 - 2014-03-20 09:30 (UTC)
>  - minor 2014-03-20 13:00 - 2014-03-20 14:00 (UTC)
> 
> Can I get the top talkers to git1 for each of those ranges, please?
Insert obligatory timezone hatred here.

I'm including an extra 20 minutes at the start of 2014-03-31 22:50, as there was quite a bit of activity. Also, not clear if you wanted IPs or repos, so you get both.

Based purely on the number of hits per minute, I identified spikes at:

2014-03-31
UTC     PDT
2230 -> 1530
     -> 1600; biggest hit 1605-1637
0140 -> 1740; very low vol, comparatively

2014-04-01
UDT     PDT
0700 -> 0000; spike 0005-0016
0830 -> 0130


2014-03-20
UDT     PDT
0700 -> 0000; spike 0026-0042
        0100
0930 -> 0230; spike 0221-0230

1300 -> 0600; spike 0605-0620, 0652-0659
Created attachment 8400173 [details]
03-20:0700-0759.txt
Created attachment 8400174 [details]
03-20:0800-0859.txt
Created attachment 8400177 [details]
990344.tgz

Ugh, timezones make me dumb. Attaching all 9 files as a tarball, rather than induhvidually. Apologies for the spam. The previous attachments are included.
All counts are based on zeus https logs (http logs are 1/100th the size and ssh logs 1/20th, and also lack repo information; probably worth looking at writes from gitolite logs, anyways).  

Basically: 
m!^(\d+\.\d+\.\d+\.\d+).*(GET|POST) ([^\s]+)(git-upload-pack|clone.bundle|/info/refs.*)$!

"([^\s]+)" == repo 

Most of the traffic tends to be (repo/git-upload-pack|repo/info/refs?service=git-upload-pack), with a few clone.bundles, but needed to normalize down to the repo name. Offhand, I don't know if there's a difference between the two upload-pack invocations, either.
per logs from yesterday, git.m.o was being hit by bm-remote*

Just checking now and I see:

[root@bm-remote-talos-webhost-03 ~]# netstat -nputw
Active Internet connections (w/o servers)
Proto Recv-Q Send-Q Local Address               Foreign Address             State       PID/Program name
tcp        0     48 10.26.84.156:22             10.22.252.14:53599          ESTABLISHED 13725/0
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64522   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64644   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64659   ESTABLISHED 1573/httpd.worker
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64524   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64634   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64519   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64536   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64500   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64564   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64572   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64664   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64567   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64569   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64650   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64528   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64645   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64617   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64549   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64502   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64520   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64517   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64578   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64618   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64538   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64596   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64665   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64602   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64668   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64629   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64548   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64631   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64582   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64509   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64588   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64611   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64492   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64583   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64584   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64671   ESTABLISHED 1573/httpd.worker
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64581   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64580   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64612   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64561   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64605   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64516   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64589   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64547   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64537   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64639   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64574   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64623   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64566   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64594   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64622   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64577   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64608   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64505   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64514   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64626   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64568   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64497   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64553   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64565   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64495   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64545   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64503   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64508   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64489   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64625   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64510   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64542   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64603   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64604   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64642   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64507   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64667   ESTABLISHED 5703/httpd.worker
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64613   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64600   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64558   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64666   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64513   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64539   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64630   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64628   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64559   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64570   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64609   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64511   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64586   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64614   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64527   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64491   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64591   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64551   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64515   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64615   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64554   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64641   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64498   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64557   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64544   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64529   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64638   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64606   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64532   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64526   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64597   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64534   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64607   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64523   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64573   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64530   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64610   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64525   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64656   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64660   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64499   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64637   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64585   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64531   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64543   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64652   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64661   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64512   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64633   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64624   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64593   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64571   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64643   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64504   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64599   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64506   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64535   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64575   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64552   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64550   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64655   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64627   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64654   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64620   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64621   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64616   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64533   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64579   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64590   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64518   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64560   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64619   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64576   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64501   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64521   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64592   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64651   TIME_WAIT   -
tcp        0      0 ::ffff:10.26.84.156:80      ::ffff:10.26.84.203:64496   TIME_WAIT   -
udp        0      0 10.26.84.156:59970          239.2.11.203:8649           ESTABLISHED 1449/gmond
[root@bm-remote-talos-webhost-03 ~]# host 10.26.84.203
203.84.26.10.in-addr.arpa domain name pointer buildlb01-mgmt.tegra.releng.scl3.mozilla.com.

And the hosts 01/02 were just my ssh login and an outgoing connection using gmond. So nothing bad. (this does paint a picture of the netscaler being misconfigured, but not of bm-remote using git.m.o)
(Assignee)

Updated

3 years ago
See Also: → bug 985898
(Assignee)

Comment 12

3 years ago
bug 990311 has been duped to bug 985864 -- this RFO has more recent information.
Depends on: 985864
Summary: find RFO for git.m.o OOM condition in bug 990311 → find RFO for git.m.o OOM condition in bug 985864
(Assignee)

Updated

3 years ago
Duplicate of this bug: 985883
(Assignee)

Comment 14

3 years ago
Only server change since issue started (bug 985864 comment 18):
  config pack.windowMemory = 512m
(Assignee)

Updated

3 years ago
See Also: → bug 873928

Updated

3 years ago
Flags: needinfo?(adam)
Product: Release Engineering → Developer Services

Updated

3 years ago
Whiteboard: [kanban:engops:https://kanbanize.com/ctrl_board/6/177]

Updated

3 years ago
Whiteboard: [kanban:engops:https://kanbanize.com/ctrl_board/6/177] → [kanban:engops:https://mozilla.kanbanize.com/ctrl_board/6/1037] [kanban:engops:https://kanbanize.com/ctrl_board/6/177]

Updated

3 years ago
Whiteboard: [kanban:engops:https://mozilla.kanbanize.com/ctrl_board/6/1037] [kanban:engops:https://kanbanize.com/ctrl_board/6/177] → [kanban:engops:https://mozilla.kanbanize.com/ctrl_board/6/1044] [kanban:engops:https://kanbanize.com/ctrl_board/6/177]

Updated

3 years ago
Whiteboard: [kanban:engops:https://mozilla.kanbanize.com/ctrl_board/6/1044] [kanban:engops:https://kanbanize.com/ctrl_board/6/177] → [kanban:engops:https://mozilla.kanbanize.com/ctrl_board/6/1046] [kanban:engops:https://kanbanize.com/ctrl_board/6/177]
Whiteboard: [kanban:engops:https://mozilla.kanbanize.com/ctrl_board/6/1046] [kanban:engops:https://kanbanize.com/ctrl_board/6/177] → [kanban:engops:https://mozilla.kanbanize.com/ctrl_board/6/1046]
(Assignee)

Comment 15

2 years ago
too ancient to be of any value at this point. Newer versions of hg don't exhibit this issue.
Status: ASSIGNED → RESOLVED
Last Resolved: 2 years ago
Resolution: --- → WONTFIX
You need to log in before you can comment on or make changes to this bug.